Skip to main content
POST
/
ads
/
ad-groups
/
{id}
/
resume
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.ads.adGroups.resume({
    id: "<id>",
    requestBody: {},
  });

  console.log(result);
}

run();
curl --request POST \
--url https://api.crevio.co/v1/ads/ad-groups/{id}/resume \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "<string>"
}
'
import requests

url = "https://api.crevio.co/v1/ads/ad-groups/{id}/resume"

payload = { "platform": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({platform: '<string>'})
};

fetch('https://api.crevio.co/v1/ads/ad-groups/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

Platform ad set id.

Body

application/json

Platform.

platform
string

Response

Result.

Result.